Metrics: Pull stats to measure New Filters progress
Open, Needs TriagePublic

Description

For the Q3 quarterly check-in slides (due this week), we'd like to pull some stats to show how things are going with the New Filters release. I can think of two kinds of stats that would be helpful:

Usage, Macro

With the general release of the New Filters to RC page and even before, with the beta, it would be interesting to know, at a gross level, whether people are using RC page more.

  • The most desirable metric here I suppose would be # of searches, as defined by someone closing the main panel or choosing a Saved Filter.
  • Sessions, if we had that info, would be equally or more interesting. (Page views or time spent on page are more ambiguous, for reasons we've discussed elsewhere.)
  • The notion would be to compare RC page usage from as far back as we can go to now, and see what has changed.

Tool Usage Profile

If you pull the tool usage info for RC page, I can rummage around in there for some interesting stats. I'm not sure what we'd be looking for; last time we reported that the new tools were very popular.

  • This time, maybe I'll look through the Saved Filters to see what types of combinations patrollers are finding useful?
  • Or perhaps the easiest and most telling figure would be if we could show that the New Filters had caused filter usage overall to increase. Our user interviews leads me to suspect this is true—particularly for users of the Watchlist beta.

Opt Outs

Let's find out what % of users have used the "Hide improved version of Recent Changes" preference.

  • As before, we'd want to compare the # of opt outs to the # of unique IPs who used the RC page during the period measured, to get a % of users.

What Wikis?

James says we should have a few wikis. So, English and maybe Korean, because we've identified it as a good medium-size wiki, and possibly French and Spanish? Does that make sense?

Restricted Application added subscribers: revi, Aklapper. · View Herald TranscriptJan 3 2018, 7:37 PM

The number of opt-outs is easy, so I'll do that one first:

  • enwiki: 245 users opted out
  • kowiki: 12
  • cswiki: 51
  • frwiki: 78
  • eswiki: 25

(I took the liberty of adding Czech Wikipedia because the New Editors research was conducted in the Korean and Czech communities.)

In T184112#3873004, @Catrope wrote:

The number of opt-outs is easy, so I'll do that one first...

Thanks for the data. Can you also please find out how many unique IPs used the RC Page since, I suppose, beta graduation (when we offered the opt out option)? That way I can express as a % of users.

Catrope added a comment.EditedJan 4 2018, 6:21 PM

The number of distinct logged-in users who used the RC page between 2017-10-06 and 2018-01-03 is:

  • enwiki: 9334
  • kowiki: 555
  • cswiki: 709
  • frwiki: 2250
  • eswiki: 2468

Caveats:

  • The data source I used does not log this for logged-out users. Another data source does, but only tracks the new UI, and doesn't log the IP (so for non-logged-in users you can only tell that they weren't logged in, but you can't distinguish them from each other)
  • I can get data going back farther than October if you really want it, but there's a schema break on that date so it'd be annoying. I figured/hoped three full months of data would be good enough.
  • The window ends early yesterday because of scheduled maintenance that has been ongoing since then; yesterday's and today's data will eventually arrive, but not until tomorrow at the earliest. Since the window is 3 months long I figured that was OK, we don't really need that one extra day.

For my reference, here's the deployment timeline:

  • Sep 19: watchlist added to beta feature (on all wikis)
  • Sep 19: RC filters enabled by default on cawiki, hewiki, frwiki
  • Oct 5: RC filters enabled by default on non-FlaggedRevs wikis
  • Nov 15: RC filters enabled by default on FlaggedRevs wikis

Looks good to me. Here are the stats for opt outs:

enwiki 2.6%
kowiki 2.2%
cswiki 7.2%
frwiki 3.5%
eswiki 1.0%

In general, a very acceptable rate! Re. the high rate for cs.wiki, weren't we having some specific issues there a while back?

I took a crack at the number of searches. We have the number of times the panel was closed or a saved query was selected, but we only have it starting 2017-10-06, and the filters went default on most wikis on 2017-10-05, so we can't compare before and after.

However, for FlaggedRevs wikis, they went default later, on 2017-11-15. German Wikipedia (dewiki) is one such wiki. Here is a list of how many searches there were per day on dewiki:

1​mysql:research@analytics-slave [log]> select substring(timestamp,1,8) as day, count(distinct event_groupIdentifier) from ChangesListFilterGrouping_17008168 where event_action!='removefilter' and wiki='dew
2​iki' group by day;
3​+----------+---------------------------------------+
4​| day | count(distinct event_groupIdentifier) |
5​+----------+---------------------------------------+
6​| 20171006 | 32 |
7​| 20171007 | 46 |
8​| 20171008 | 72 |
9​| 20171009 | 30 |
10​| 20171010 | 38 |
11​| 20171011 | 31 |
12​| 20171012 | 50 |
13​| 20171013 | 11 |
14​| 20171014 | 5 |
15​| 20171015 | 2 |
16​| 20171016 | 7 |
17​| 20171017 | 3 |
18​| 20171018 | 4 |
19​| 20171019 | 2 |
20​| 20171020 | 5 |
21​| 20171021 | 3 |
22​| 20171022 | 4 |
23​| 20171023 | 9 |
24​| 20171024 | 3 |
25​| 20171025 | 2 |
26​| 20171026 | 6 |
27​| 20171027 | 3 |
28​| 20171028 | 6 |
29​| 20171029 | 6 |
30​| 20171030 | 12 |
31​| 20171031 | 6 |
32​| 20171101 | 3 |
33​| 20171102 | 1 |
34​| 20171103 | 3 |
35​| 20171104 | 5 |
36​| 20171105 | 4 |
37​| 20171106 | 6 |
38​| 20171107 | 4 |
39​| 20171108 | 6 |
40​| 20171109 | 1 |
41​| 20171110 | 3 |
42​| 20171111 | 3 |
43​| 20171112 | 4 |
44​| 20171113 | 2 |
45​| 20171114 | 4 |
46​| 20171115 | 36 |
47​| 20171116 | 83 |
48​| 20171117 | 53 |
49​| 20171118 | 49 |
50​| 20171119 | 69 |
51​| 20171120 | 46 |
52​| 20171121 | 34 |
53​| 20171122 | 52 |
54​| 20171123 | 32 |
55​| 20171124 | 22 |
56​| 20171125 | 22 |
57​| 20171126 | 24 |
58​| 20171127 | 31 |
59​| 20171128 | 35 |
60​| 20171129 | 22 |
61​| 20171130 | 32 |
62​| 20171201 | 17 |
63​| 20171202 | 31 |
64​| 20171203 | 26 |
65​| 20171204 | 35 |
66​| 20171205 | 20 |
67​| 20171206 | 35 |
68​| 20171207 | 31 |
69​| 20171208 | 43 |
70​| 20171209 | 27 |
71​| 20171210 | 45 |
72​| 20171211 | 51 |
73​| 20171212 | 45 |
74​| 20171213 | 28 |
75​| 20171214 | 63 |
76​| 20171215 | 39 |
77​| 20171216 | 34 |
78​| 20171217 | 53 |
79​| 20171218 | 57 |
80​| 20171219 | 46 |
81​| 20171220 | 34 |
82​| 20171221 | 43 |
83​| 20171222 | 46 |
84​| 20171223 | 25 |
85​| 20171224 | 47 |
86​| 20171225 | 31 |
87​| 20171226 | 29 |
88​| 20171227 | 40 |
89​| 20171228 | 25 |
90​| 20171229 | 25 |
91​| 20171230 | 40 |
92​| 20171231 | 21 |
93​| 20180101 | 23 |
94​| 20180102 | 30 |
95​| 20180103 | 4 |
96​+----------+---------------------------------------+
97​90 rows in set (0.57 sec)

As you can see this goes up on the release date, which I guess is not that surprising. But the numbers are also pretty low, so I wonder how many users open the page and have what they need right away (i.e. they want the default view, or they chose a saved query as their default and that's what they needed).

Caveats:

  • These numbers include both RC and Watchlist, unfortunately we didn't think to add a distinguishing field to this data source
  • The first and last day numbers are lowballed because those days are incomplete (for example, the data stops around 8am on the last day)
  • I didn't actually check whether any of the wikis you asked for are FlaggedRevs wikis yet (I can do that tomorrow if you wish)
  • For non-FlaggedRevs wikis we don't have before data, but we do have after data, which I can trivially pull if you wish

What is missing that you want me focus on tomorrow? Something comparing the number of RC page views / sessions before and after the release? (We have that data going back a long way.) Anything about watchlist beta usage? How many users have default saved filters (or any saved filters)?

Re the usage profile, if you want me to repeat a query I ran before, I would appreciate it if you could find the task/pastie from last time and link me to it, because then I can just copy-paste the query from that and run it again.

jmatazzoni added a subscriber: Mooeypoo.EditedJan 5 2018, 12:01 AM

Number of Searches Stat

I graphed the search numbers above. There are a number of anomalies, as you can see, but this may be fixable.

  1. I was confused about how to explain the high numbers from 10/6 to 10/12, but James says we can just throw them out as bad data, since they probably reflect an early phase when we were tinkering with the counting feature. Does that sound right?
  2. So, assuming we start the graph at 10/13 or 14, then we have a second problem: if we're only getting numbers for closing the panel or using Saved Filters, then we aren't counting the old UX at all—which is part of our goal here. That would explain the big jump after release, since the pre-release numbers are beta users only. Right?
  3. If that's correct, can we add in the numbers for pressing the old-UX "Show" button for RC PAGE ONLY? Moriel thinks that you can distinguish between WL Show and RC Show. If we can't distinguish, then there's no point in adding in the Show button numbers, since the WL numbers would swamp any difference we might hope to see.
  4. Overall, mixing our WL and RC counts for new UX searches is not ideal, but should not skew the results much, if I understand this properly, because we released the beta 10/3, so that would be more or less a constant (though slowly growing) background noise. Does that sound right?
  5. Does Live Updates completely invalidate this?
  6. Before you do any of that, read the next two posts, especially the one about Sessions, which may obviate the need to do this one at all.

jmatazzoni added a comment.EditedJan 5 2018, 12:42 AM

RC Page Sessions Stat

If we can moe easily get RC page sessions for before and after, that might be just as interesting than number of searches (or even more--especially since it wouldn't be bloated by Live Updates sessions, which time out). So if sessions are an easier target, I'd try that and see if it works. If the results look interesting, then you can maybe skip the Number of Searches Stat. See below for details:

  • Which wikis: Pull stats for the wikis specified above, if possible: English, Korean, French and Spanish.
  • Session definition: Let's define a session as a period of RC Page use by a given IP punctuated by 30 minutes of no RC Page activity. So if I load the RC page, then stop interacting with it for 30 mins, then come back to my old search and click a link, then that's two sessions. But if I load the page and keep clicking a link every 20 minutes all day long, then that is one session. Does that sound OK?
    • I suspect you can tell if the user has moved to a different tab, but I don't think we need to worry about that. If I load RC page then leave it open for 30 minutes while I eat lunch then come back and do something, that's two sessions—even if I never went to another tab.
  • Measurement period: According to our graph, we had some 10K beta users on en.wiki within a few months of beta release. Given that that is the average number of users on en.wiki total (according to the figure in your opt-out stat), those beta users could very significantly affect results. So to establish a reasonable baseline, it would be helpful to pull figures back some months before beta release, if you can. The first wave of beta releases started 3/28/17. So let's say December 1 2016. That way I have a full year or, if desirable, we can compare this December to last December, to account theoretically for any monthly variation (I think Dec. is actually a big month for wiki work).
  • If you pull the sessions stat for a couple of wikis and see no meaningful trend (i.e., if sessions aren't going up), then maybe go back to trying to do # of searches.
jmatazzoni added a comment.EditedJan 5 2018, 1:54 AM

Filter Usage Stats

See what you can find most easily. All we need is something that might stand out and make a good slide. I'll paste some ideas below:

Filter Usage Profile

Here is the ticket you asked for, where you devised the routine to pull the filter usage profile: T170214. Pull this and I'll see if I can find anything interesting.

  • Which wikis: Just pull English.
  • //Measurement period://Just pull the month of December 2017.
  • The Live Updates Problem I'm not sure how to think about the LIve Updates problem. On the one hand, I'm not looking for numbers here, but for ratios and such. But a few LU users might completely distort the picture. I don't suppose we have a way to simply exclude them?
  • Counting things that are not "filters" On the other hand, I'd like to know how many times users clicked LU. Also Highlights. Also how many Saved Filters were saved. Can we get stats for those?
  • Provide totals: Please give a total or totals that can be used to express individual filters' usage numbers as a % of all searches (or relevant searches? Include whatever totals might be interesting in that regard.).
Total Filter Usage

If we could show that filter usage overall was up, it would validate the new UX design and show that we'd created new offerings that people thought were useful. Unfortunately, I imagine we don't have stats about the usage on the old UX? I wrote this up before I remembered that, so if that is true, then ignore this. But if it's not true, then this would be most desirable!
I'm looking, I suppose, for a total number; e.g., in december of 2016, there were 500,000 filters used, but in December of 2016, there were a million. I'd love to be able to say something like "Reviewers use x% more filters on RC page today than they did a year ago, before began rolling out the New Filters."
- Remove defaults: If you could remove default filters from the count, it would measure what we're actually trying to measure and make any increase stand out more. One could get very complicated with that, trying to figure out who had what default settings when. But we can be more simple and just not count certain filters that we know have typically been default filters. You know better than I how the UX settings get translated and counted behind the scenes; I believe the new and old defaults are functionally the same. But here are the actual settings a user sees:
New UX: Human (not bot), Page Edits, Page Creations, Logged Actions
Old UX: hide bots, hide categories, hide wikidata
Measurement period: As above, see if you can go back to Jan 1 2017.
Which wikis: As above, if possible: English, Korean, French and Spanish.]
Sorting out old UX vs. New UX: This is the tricky bit, I expect. If filter usage is "up" because we count every time someone clicks a checkbox in the filter panel, is that fair? Maybe it is I mean, it shows users are interacting with the tool a lot....

You know, it strikes me you might take a chance on pulling an easy figure, in case it turns out to be a win. If we compared total unique IPs using RC page in Dec. of 2016 vs. Dec. 2017, I wonder what we would find?

You know, it strikes me you might take a chance on pulling an easy figure, in case it turns out to be a win. If we compared total unique IPs using RC page in Dec. of 2016 vs. Dec. 2017, I wonder what we would find?

We don't have IP data in the RC-specific data source, and anywhere else that we might have it it would be redacted after 90 days anyway due to the Data Retention Policy.

=Number of Searches Stat
I graphed the search numbers above. There are a number of anomalies, as you can see, but this may be fixable.

  1. I was confused about how to explain the high numbers from 10/6 to 10/12, but James says we can just throw them out as bad data, since they probably reflect an early phase when we were tinkering with the counting feature. Does that sound right?

Maybe, I don't remember if we had issues at the start. But it's not a bad idea to drop them.

  1. So, assuming we start the graph at 10/13 or 14, then we have a second problem: if we're only getting numbers for closing the panel or using Saved Filters, then we aren't counting the old UX at all—which is part of our goal here. That would explain the big jump after release, since the pre-release numbers are beta users only. Right?

Yes, that's right. We don't have an equivalent metric for the old UI, although I can look at sessions for both old and new.

  1. If that's correct, can we add in the numbers for pressing the old-UX "Show" button for RC PAGE ONLY? Moriel thinks that you can distinguish between WL Show and RC Show. If we can't distinguish, then there's no point in adding in the Show button numbers, since the WL numbers would swamp any difference we might hope to see.

We don't/didn't track Show button clicks for the old UI.

  1. Overall, mixing our WL and RC counts for new UX searches is not ideal, but should not skew the results much, if I understand this properly, because we released the beta 10/3, so that would be more or less a constant (though slowly growing) background noise. Does that sound right?

Yeah that sounds right.

  1. Does Live Updates completely invalidate this?

Not the "searches", but yes it spams the "page views" metric quite a lot. Using sessions would hide that of course.

=RC Page Sessions Stat
If we can moe easily get RC page sessions for before and after, that might be just as interesting than number of searches (or even more--especially since it wouldn't be bloated by Live Updates sessions, which time out). So if sessions are an easier target, I'd try that and see if it works. If the results look interesting, then you can maybe skip the Number of Searches Stat. See below for details:

I'll work on whipping something up using quick-and-dirty approximated sessions (the same user ID within the same clock hour, i.e. anything the same user does between 4pm and 4:59pm is the same session, and anything they do between 5pm and 5:59pm is another session).

  • Which wikis: Pull stats for the wikis specified above, if possible: English, Korean, French and Spanish.

No problem.

  • Session definition: Let's define a session as a period of RC Page use by a given IP punctuated by 30 minutes of no RC Page activity. So if I load the RC page, then stop interacting with it for 30 mins, then come back to my old search and click a link, then that's two sessions. But if I load the page and keep clicking a link every 20 minutes all day long, then that is one session. Does that sound OK?

While I like this definition better than my dirty one, it's also more work. I'll start with the dirty one, then try to see if I can get the proper one to work later.

  • I suspect you can tell if the user has moved to a different tab, but I don't think we need to worry about that. If I load RC page then leave it open for 30 minutes while I eat lunch then come back and do something, that's two sessions—even if I never went to another tab.

We can't tell from this data but I think that's fine: we only look at times the results area was reloaded, so if there's a large gap of time between those that interrupts the session (which I think is what you want). Note that live update does mess with this a bit, because if I leave live update on over lunch, it's one session.

  • Measurement period: According to our graph, we had some 10K beta users on en.wiki within a few months of beta release. Given that that is the average number of users on en.wiki total (according to the figure in your opt-out stat), those beta users could very significantly affect results. So to establish a reasonable baseline, it would be helpful to pull figures back some months before beta release, if you can. The first wave of beta releases started 3/28/17. So let's say December 1 2016. That way I have a full year or, if desirable, we can compare this December to last December, to account theoretically for any monthly variation (I think Dec. is actually a big month for wiki work).

We probably don't have data going back quite that far, I'm trying to figure out how far back it goes.

  • If you pull the sessions stat for a couple of wikis and see no meaningful trend (i.e., if sessions aren't going up), then maybe go back to trying to do # of searches.

As we said in private chat, the # of searches is interesting but can't be compared with the old UI.

Argh, it looked like analytics misimplemented purging for this schema, and are purging 90-day old data completely rather than just anonymizing it. (That said, data with the user ID removed wouldn't have been terribly useful either.) That means the oldest data we have is 2017-10-07 (yesterday I still had data for 2017-10-06, today I don't any more). I'll complain about this.

=Filter Usage Stats
See what you can find most easily. All we need is something that might stand out and make a good slide. I'll paste some ideas below:

====Filter Usage Profile
Here is the ticket you asked for, where you devised the routine to pull the filter usage profile: T170214. Pull this and I'll see if I can find anything interesting.

Thanks, that's exactly what I was looking for.

  • Which wikis: Just pull English.
  • //Measurement period://Just pull the month of December 2017.
  • The Live Updates Problem I'm not sure how to think about the LIve Updates problem. On the one hand, I'm not looking for numbers here, but for ratios and such. But a few LU users might completely distort the picture. I don't suppose we have a way to simply exclude them?

I could try limiting it so that each pseudo-session can only contribute at most one filter usage, so if the same user uses the same filter within the same clock hour (let alone once every couple seconds), it'd only count once. People leaving LU on for hours would still double-count, but only once per hour, which shouldn't skew things much.

  • Counting things that are not "filters" On the other hand, I'd like to know how many times users clicked LU. Also Highlights. Also how many Saved Filters were saved. Can we get stats for those?

I can get the data that I got last time: how many times people clicked the highlight button, and how many times they opened the popup before they first clicked it. I can also tell which highlight was used how many times. But I can't tell how many times LU was clicked.

For saved filters, I can tell how many users have any saved filters at all easily, but figuring out how many filters they saved would take some work.

====Total Filter Usage
If we could show that filter usage overall was up, it would validate the new UX design and show that we'd created new offerings that people thought were useful. Unfortunately, I imagine we don't have stats about the usage on the old UX? I wrote this up before I remembered that, so if that is true, then ignore this. But if it's not true, then this would be most desirable!

We have stats about the old UX, but because of the 90-day purging cliff they don't go back to before the new UI was default, except for FlaggedRevs wikis (where we have about a month's worth of pre-default data, which will disappear gradually over the course of the next month).

In T184112#3879376, @Catrope wrote:

...That means the oldest data we have is 2017-10-07.

Argh, stymied again. I wonder if it would be interesting, on de.wiki, to count sessions for the 10 days starting 10/15 vs. our most recent 10 days of data? It's a very short time period to expect usage to have grown. Plus any gains due to the awesomeness of our product would be obscured by the some 2k German beta users we had in Oct... I think I'm grasping at straws, so don't bother unless you think it might be interesting.

Well here's some dewiki data that you might find useful (contains multiple results, so read on to the bottom):

1​-- Sessions on RC on dewiki before 2017-11-15 19:10 UTC (when RCF went default there)
2​-- Broken out by day and by beta vs non-beta user
3
4​mysql:research@analytics-slave [log]> select substring(timestamp,1,8) as day, event_enhancedFiltersEnabled as betaEnabled, count(distinct event_userId, substring(timestamp,1,10)) as sessions from ChangesListFilters_16837986 where event_pagename='Recentchanges' and wiki='dewiki' and timestamp <= '20171115191000' group by day, event_enhancedFiltersEnabled;
5​+----------+-------------+----------+
6​| day | betaEnabled | sessions |
7​+----------+-------------+----------+
8​| 20171007 | 0 | 502 |
9​| 20171007 | 1 | 44 |
10​| 20171008 | 0 | 689 |
11​| 20171008 | 1 | 70 |
12​| 20171009 | 0 | 820 |
13​| 20171009 | 1 | 85 |
14​| 20171010 | 0 | 727 |
15​| 20171010 | 1 | 64 |
16​| 20171011 | 0 | 786 |
17​| 20171011 | 1 | 67 |
18​| 20171012 | 0 | 735 |
19​| 20171012 | 1 | 57 |
20​| 20171013 | 0 | 750 |
21​| 20171013 | 1 | 67 |
22​| 20171014 | 0 | 662 |
23​| 20171014 | 1 | 56 |
24​| 20171015 | 0 | 646 |
25​| 20171015 | 1 | 66 |
26​| 20171016 | 0 | 747 |
27​| 20171016 | 1 | 73 |
28​| 20171017 | 0 | 735 |
29​| 20171017 | 1 | 56 |
30​| 20171018 | 0 | 737 |
31​| 20171018 | 1 | 68 |
32​| 20171019 | 0 | 708 |
33​| 20171019 | 1 | 69 |
34​| 20171020 | 0 | 688 |
35​| 20171020 | 1 | 56 |
36​| 20171021 | 0 | 683 |
37​| 20171021 | 1 | 72 |
38​| 20171022 | 0 | 659 |
39​| 20171022 | 1 | 68 |
40​| 20171023 | 0 | 730 |
41​| 20171023 | 1 | 68 |
42​| 20171024 | 0 | 779 |
43​| 20171024 | 1 | 72 |
44​| 20171025 | 0 | 744 |
45​| 20171025 | 1 | 55 |
46​| 20171026 | 0 | 707 |
47​| 20171026 | 1 | 54 |
48​| 20171027 | 0 | 742 |
49​| 20171027 | 1 | 37 |
50​| 20171028 | 0 | 659 |
51​| 20171028 | 1 | 44 |
52​| 20171029 | 0 | 723 |
53​| 20171029 | 1 | 61 |
54​| 20171030 | 0 | 744 |
55​| 20171030 | 1 | 59 |
56​| 20171031 | 0 | 761 |
57​| 20171031 | 1 | 58 |
58​| 20171101 | 0 | 742 |
59​| 20171101 | 1 | 55 |
60​| 20171102 | 0 | 773 |
61​| 20171102 | 1 | 65 |
62​| 20171103 | 0 | 736 |
63​| 20171103 | 1 | 68 |
64​| 20171104 | 0 | 665 |
65​| 20171104 | 1 | 57 |
66​| 20171105 | 0 | 711 |
67​| 20171105 | 1 | 77 |
68​| 20171106 | 0 | 807 |
69​| 20171106 | 1 | 64 |
70​| 20171107 | 0 | 762 |
71​| 20171107 | 1 | 56 |
72​| 20171108 | 0 | 747 |
73​| 20171108 | 1 | 80 |
74​| 20171109 | 0 | 737 |
75​| 20171109 | 1 | 83 |
76​| 20171110 | 0 | 735 |
77​| 20171110 | 1 | 60 |
78​| 20171111 | 0 | 659 |
79​| 20171111 | 1 | 86 |
80​| 20171112 | 0 | 703 |
81​| 20171112 | 1 | 69 |
82​| 20171113 | 0 | 755 |
83​| 20171113 | 1 | 87 |
84​| 20171114 | 0 | 754 |
85​| 20171114 | 1 | 95 |
86​| 20171115 | 0 | 590 |
87​| 20171115 | 1 | 78 |
88​+----------+-------------+----------+
89
90​-- Total sessions on dewiki per day (beta+non-beta). After 11/15 the beta vs non-bea distinction isn't relevant any more (and sadly we didn't track opt-outed-ness)
91​mysql:research@analytics-slave [log]> select substring(timestamp,1,8) as day, count(distinct event_userId, substring(timestamp,1,10)) as sessions from ChangesListFilters_16837986 where event_pagename='Recentchanges' and wiki='dewiki' group by day;
92​+----------+----------+
93​| day | sessions |
94​+----------+----------+
95​| 20171007 | 544 |
96​| 20171008 | 753 |
97​| 20171009 | 899 |
98​| 20171010 | 789 |
99​| 20171011 | 849 |
100​| 20171012 | 792 |
101​| 20171013 | 816 |
102​| 20171014 | 716 |
103​| 20171015 | 709 |
104​| 20171016 | 817 |
105​| 20171017 | 787 |
106​| 20171018 | 802 |
107​| 20171019 | 774 |
108​| 20171020 | 740 |
109​| 20171021 | 753 |
110​| 20171022 | 724 |
111​| 20171023 | 794 |
112​| 20171024 | 847 |
113​| 20171025 | 795 |
114​| 20171026 | 760 |
115​| 20171027 | 777 |
116​| 20171028 | 701 |
117​| 20171029 | 781 |
118​| 20171030 | 799 |
119​| 20171031 | 814 |
120​| 20171101 | 793 |
121​| 20171102 | 835 |
122​| 20171103 | 801 |
123​| 20171104 | 717 |
124​| 20171105 | 786 |
125​| 20171106 | 867 |
126​| 20171107 | 817 |
127​| 20171108 | 822 |
128​| 20171109 | 818 |
129​| 20171110 | 794 |
130​| 20171111 | 741 |
131​| 20171112 | 769 |
132​| 20171113 | 837 |
133​| 20171114 | 848 |
134​| 20171115 | 866 |
135​| 20171116 | 983 |
136​| 20171117 | 735 |
137​| 20171118 | 700 |
138​| 20171119 | 754 |
139​| 20171120 | 871 |
140​| 20171121 | 794 |
141​| 20171122 | 857 |
142​| 20171123 | 787 |
143​| 20171124 | 860 |
144​| 20171125 | 787 |
145​| 20171126 | 765 |
146​| 20171127 | 894 |
147​| 20171128 | 828 |
148​| 20171129 | 881 |
149​| 20171130 | 816 |
150​| 20171201 | 762 |
151​| 20171202 | 706 |
152​| 20171203 | 762 |
153​| 20171204 | 802 |
154​| 20171205 | 735 |
155​| 20171206 | 744 |
156​| 20171207 | 759 |
157​| 20171208 | 801 |
158​| 20171209 | 735 |
159​| 20171210 | 786 |
160​| 20171211 | 859 |
161​| 20171212 | 862 |
162​| 20171213 | 880 |
163​| 20171214 | 837 |
164​| 20171215 | 835 |
165​| 20171216 | 737 |
166​| 20171217 | 714 |
167​| 20171218 | 853 |
168​| 20171219 | 798 |
169​| 20171220 | 857 |
170​| 20171221 | 795 |
171​| 20171222 | 816 |
172​| 20171223 | 706 |
173​| 20171224 | 722 |
174​| 20171225 | 657 |
175​| 20171226 | 695 |
176​| 20171227 | 723 |
177​| 20171228 | 797 |
178​| 20171229 | 732 |
179​| 20171230 | 783 |
180​| 20171231 | 719 |
181​| 20180101 | 734 |
182​| 20180102 | 823 |
183​| 20180103 | 143 |
184​+----------+----------+
185
186​-- Number of opted-out users on dewiki as of 2017-01-05 23:22 UTC
187​mysql:research@s3-analytics-slave [dewiki]> select count(*) from user_properties where up_property='rcenhancedfilters-disable' and up_value=1;
188​+----------+
189​| count(*) |
190​+----------+
191​| 110 |
192​+----------+
193
194​-- Number of distinct logged-in users who used the RC page in the last 3 months (2017-10-07 through 2017-01-05)
195​mysql:research@analytics-slave [log]> select count(distinct event_userId) as users from ChangesListFilters_16837986 where event_pagename='Recentchanges' and wiki='dewiki';
196​+-------+
197​| users |
198​+-------+
199​| 3400 |
200​+-------+

I didn't graph it, but at a quick glance it doesn't look like the total # of sessions went up or down noticeably after the default deployment, and the number of users who opted out is small.

(I have daily unique users too, if you want it, and that number fluctuates between 190 and 310 with most days in the 210-240 days.)

Conclusion: RC Page Sessions Totals

We'd hoped to measure Session Totals over a a year or more, so we could go back prior to the beta release and then see if the new tools had increased page usage. But the data aren't available past Oct 14 of this year. My analysis of that session data (for de.wiki, above) shows no discernible increase in sessions. Which is not a surprise: two months is a short time to observe such an overall shift in user habits.

jmatazzoni added a comment.EditedJan 6 2018, 1:02 AM

We're striking out so far trying to find a stat we haven't reported before. But if @Catrope can pull the Filter Usage Profile numbers (T184112#3877114), I'm sure I can find something to add to our slide. Note my addition to the request in that section:

Provide totals: Please give a total or totals that can be used to express individual filters' usage numbers as a % of all searches (or relevant searches? Include whatever totals might be interesting in that regard.).

jmatazzoni renamed this task from Pull stats to measure New Filters progress to Metrics: Pull stats to measure New Filters progress .Jan 9 2018, 12:57 AM

Enjoy:

1​-- Total number events on enwiki between December 1 and 31 inclusive, broken down by beta vs non-beta
2​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' group by event_enhancedFiltersEnabled;
3​+------------------------------+----------+
4​| event_enhancedFiltersEnabled | count(*) |
5​+------------------------------+----------+
6​| 0 | 368523 |
7​| 1 | 156917 |
8​+------------------------------+----------+
9​2 rows in set (1 min 41.96 sec)
10
11​-- Type of change group:
12
13​-- hidepageedits=1 ("Page edits" removed)
14​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hidepageedits=1 group by event_enhancedFiltersEnabled ;
15​+------------------------------+----------+
16​| event_enhancedFiltersEnabled | count(*) |
17​+------------------------------+----------+
18​| 0 | 4100 |
19​| 1 | 4072 |
20​+------------------------------+----------+
21​2 rows in set (1 min 22.55 sec)
22
23​-- hidenewpages=1 ("Page creations" removed)
24​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hidenewpages=1 group by event_enhancedFiltersEnabled ;
25​+------------------------------+----------+
26​| event_enhancedFiltersEnabled | count(*) |
27​+------------------------------+----------+
28​| 0 | 18649 |
29​| 1 | 21451 |
30​+------------------------------+----------+
31​2 rows in set (1 min 21.27 sec)
32
33​-- hidelog=1 ("Logged actions" removed)
34​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hidelog=1 group by event_enhancedFiltersEnabled ;
35​+------------------------------+----------+
36​| event_enhancedFiltersEnabled | count(*) |
37​+------------------------------+----------+
38​| 0 | 25747 |
39​| 1 | 43195 |
40​+------------------------------+----------+
41​2 rows in set (1 min 20.74 sec)
42
43​-- hidecategorization=0 ("Categorization" shown) even though preference is set to hide categorization
44​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 left join enwiki.user_properties on up_user=event_userId and up_property='hidecategorization' where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hidecategorization=0 and (up_value !='0' or up_value is null) group by event_enhancedFiltersEnabled;
45
46​-- hidecategorization=1 ("Categorization" not shown) even though preference is to show categorization
47​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 left join enwiki.user_properties on up_user=event_userId and up_property='hidecategorization' where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hidecategorization=1 and up_value='0' group by event_enhancedFiltersEnabled;
48
49​-- hideWikibase=0 ("Wikidata" shown) even though preference is to not show Wikidata
50​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 left join enwiki.user_properties on up_user=event_userId and up_property='rcshowwikidata' where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hideWikibase=0 and (up_value !='1' or up_value is null) group by event_enhancedFiltersEnabled;
51
52​-- hideWikibase=1 ("Wikidata" not shown) even though preference is to show Wikidata
53​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 left join enwiki.user_properties on up_user=event_userId and up_property='rcshowwikidata' where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hideWikibase=1 and up_value=1 group by event_enhancedFiltersEnabled;
54
55
56
57​-- Edits by others/self:
58
59​-- hidemyself=1 ("Edits by others" only)
60​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hidemyself=1 group by event_enhancedFiltersEnabled ;
61​+------------------------------+----------+
62​| event_enhancedFiltersEnabled | count(*) |
63​+------------------------------+----------+
64​| 0 | 2460 |
65​| 1 | 41615 |
66​+------------------------------+----------+
67​2 rows in set (1 min 21.10 sec)
68
69​-- hidebyothers=1 ("Edits by myself" only)
70​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hidebyothers=1 group by event_enhancedFiltersEnabled ;
71​+------------------------------+----------+
72​| event_enhancedFiltersEnabled | count(*) |
73​+------------------------------+----------+
74​| 0 | 850 |
75​| 1 | 281 |
76​+------------------------------+----------+
77​2 rows in set (1 min 20.98 sec)
78
79​-- Major/minor:
80
81​-- hideminor=1 ("Non-minor edits" only)
82​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hideminor=1 group by event_enhancedFiltersEnabled ;
83​+------------------------------+----------+
84​| event_enhancedFiltersEnabled | count(*) |
85​+------------------------------+----------+
86​| 0 | 1369 |
87​| 1 | 2000 |
88​+------------------------------+----------+
89​2 rows in set (1 min 21.93 sec)
90
91​-- hidemajor=1 ("Minor edits" only)
92​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hidemajor=1 group by event_enhancedFiltersEnabled ;
93
94​-- Bots/humans:
95
96​-- hidehumans=1 ("Bots" only)
97​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hidehumans=1 group by event_enhancedFiltersEnabled ;
98​+------------------------------+----------+
99​| event_enhancedFiltersEnabled | count(*) |
100​+------------------------------+----------+
101​| 0 | 61 |
102​| 1 | 16 |
103​+------------------------------+----------+
104​2 rows in set (1 min 20.92 sec)
105
106​-- hidebots=0 (both bots and humans; default state is "Humans only")
107​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hidebots=0 group by event_enhancedFiltersEnabled ;
108​+------------------------------+----------+
109​| event_enhancedFiltersEnabled | count(*) |
110​+------------------------------+----------+
111​| 0 | 13 |
112​| 1 | 3 |
113​+------------------------------+----------+
114​2 rows in set (1 min 20.90 sec)
115
116​-- hidepatrolled/hideunpatrolled and hideReviewed are N/A on enwiki
117
118​-- User registration:
119
120​-- hideliu=1 ("Unregistered users" only)
121​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hideliu=1 group by event_enhancedFiltersEnabled ;
122​+------------------------------+----------+
123​| event_enhancedFiltersEnabled | count(*) |
124​+------------------------------+----------+
125​| 0 | 2916 |
126​| 1 | 10 |
127​+------------------------------+----------+
128​2 rows in set (1 min 22.20 sec)
129
130​-- hideanon=1 ("Registered users" only)
131​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hideanons=1 group by event_enhancedFiltersEnabled ;
132​+------------------------------+----------+
133​| event_enhancedFiltersEnabled | count(*) |
134​+------------------------------+----------+
135​| 0 | 3 |
136​+------------------------------+----------+
137​1 row in set (1 min 20.54 sec)
138
139​-- User experience level: (note that registered/unregistered moved into this group on 7/28)
140
141​mysql:research@s3-analytics-slave [log]> select event_userExpLevel, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename ='Recentchanges' group by event_userExpLevel ;
142​+----------------------------------------------+----------+
143​| event_userExpLevel | count(*) |
144​+----------------------------------------------+----------+
145​| NULL | 457410 |
146​| all | 374 |
147​| experienced | 1057 |
148​| learner | 1367 |
149​| learner;experienced | 41 |
150​| newcomer | 1534 |
151​| newcomer;learner | 2639 |
152​| newcomer;learner;experienced | 277 |
153​| registered | 245 |
154​| registered;experienced | 53 |
155​| registered;learner | 146 |
156​| registered;learner;experienced | 60 |
157​| registered;newcomer | 46 |
158​| registered;newcomer;learner | 115 |
159​| registered;newcomer;learner;experienced | 5 |
160​| unregistered | 32903 |
161​| unregistered;experienced | 207 |
162​| unregistered;learner | 8 |
163​| unregistered;learner;experienced | 1 |
164​| unregistered;newcomer | 14110 |
165​| unregistered;newcomer;experienced | 26 |
166​| unregistered;newcomer;learner | 11554 |
167​| unregistered;newcomer;learner;experienced | 99 |
168​| unregistered;registered | 211 |
169​| unregistered;registered;newcomer | 778 |
170​| unregistered;registered;newcomer;experienced | 45 |
171​| unregistered;registered;newcomer;learner | 129 |
172​+----------------------------------------------+----------+
173​27 rows in set (1 min 24.07 sec)
174
175
176​-- ORES filters:
177
178​-- hidenondamaging=1 (old-style ORES filter)
179​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_hidenondamaging=1 group by event_enhancedFiltersEnabled ;
180​+------------------------------+----------+
181​| event_enhancedFiltersEnabled | count(*) |
182​+------------------------------+----------+
183​| 0 | 1954 |
184​| 1 | 100 |
185​+------------------------------+----------+
186​2 rows in set (1 min 20.93 sec)
187
188​-- Damaging filters:
189​mysql:research@s3-analytics-slave [log]> select event_damaging, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename ='Recentchanges' group by event_damaging ;
190​+------------------------------------+----------+
191​| event_damaging | count(*) |
192​+------------------------------------+----------+
193​| NULL | 381525 |
194​| all | 1056 |
195​| likelybad | 21832 |
196​| likelybad;verylikelybad | 87576 |
197​| likelygood | 1909 |
198​| likelygood;likelybad | 37 |
199​| likelygood;likelybad;verylikelybad | 38 |
200​| likelygood;maybebad | 115 |
201​| likelygood;maybebad;likelybad | 24 |
202​| likelygood;verylikelybad | 10 |
203​| maybebad | 14124 |
204​| maybebad;likelybad | 1109 |
205​| maybebad;likelybad;verylikelybad | 13213 |
206​| maybebad;verylikelybad | 171 |
207​| verylikelybad | 2701 |
208​+------------------------------------+----------+
209​15 rows in set (1 min 24.90 sec)
210
211​-- Good faith filters:
212​mysql:research@s3-analytics-slave [log]> select event_goodfaith, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename ='Recentchanges' group by event_goodfaith ;
213​+------------------------------------+----------+
214​| event_goodfaith | count(*) |
215​+------------------------------------+----------+
216​| NULL | 401082 |
217​| all | 640 |
218​| likelybad | 24261 |
219​| likelybad;verylikelybad | 43342 |
220​| likelygood | 1519 |
221​| likelygood;likelybad | 17 |
222​| likelygood;likelybad;verylikelybad | 10 |
223​| likelygood;maybebad | 749 |
224​| likelygood;maybebad;likelybad | 9 |
225​| likelygood;maybebad;verylikelybad | 1 |
226​| likelygood;verylikelybad | 135 |
227​| maybebad | 4303 |
228​| maybebad;likelybad | 287 |
229​| maybebad;likelybad;verylikelybad | 45931 |
230​| maybebad;verylikelybad | 156 |
231​| verylikelybad | 2998 |
232​+------------------------------------+----------+
233​16 rows in set (1 min 24.37 sec)
234
235
236​-- Namespace filter:
237
238​-- Number of events where the namespace filter is set to anything at all:
239​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_namespace is not null and event_namespace != '' group by event_enhancedFiltersEnabled ;
240​+------------------------------+----------+
241​| event_enhancedFiltersEnabled | count(*) |
242​+------------------------------+----------+
243​| 0 | 12206 |
244​| 1 | 4946 |
245​+------------------------------+----------+
246​2 rows in set, 1 warning (1 min 21.34 sec)
247
248​-- Number of events for each specific namespace:
249​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, event_namespace, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename ='Recentchanges' group by event_enhancedFiltersEnabled, event_namespace;
250​+------------------------------+-----------------+----------+
251​| event_enhancedFiltersEnabled | event_namespace | count(*) |
252​+------------------------------+-----------------+----------+
253​| 0 | NULL | 333662 |
254​| 0 | -1 | 2 |
255​| 0 | 0 | 22655 |
256​| 0 | 1 | 1507 |
257​| 0 | 2 | 1446 |
258​| 0 | 3 | 1443 |
259​| 0 | 4 | 1177 |
260​| 0 | 5 | 428 |
261​| 0 | 6 | 902 |
262​| 0 | 7 | 263 |
263​| 0 | 8 | 191 |
264​| 0 | 9 | 3 |
265​| 0 | 10 | 1184 |
266​| 0 | 11 | 4 |
267​| 0 | 12 | 733 |
268​| 0 | 13 | 1 |
269​| 0 | 14 | 1756 |
270​| 0 | 15 | 3 |
271​| 0 | 100 | 804 |
272​| 0 | 101 | 1 |
273​| 0 | 108 | 1 |
274​| 0 | 118 | 100 |
275​| 0 | 710 | 3 |
276​| 0 | 711 | 1 |
277​| 0 | 828 | 246 |
278​| 0 | 829 | 2 |
279​| 0 | 2300 | 1 |
280​| 0 | 2301 | 1 |
281​| 0 | 2302 | 1 |
282​| 0 | 2303 | 2 |
283​| 1 | NULL | 111666 |
284​| 1 | 0 | 40305 |
285​| 1 | 1 | 591 |
286​| 1 | 2 | 596 |
287​| 1 | 3 | 1968 |
288​| 1 | 4 | 1030 |
289​| 1 | 5 | 13 |
290​| 1 | 8 | 239 |
291​| 1 | 10 | 145 |
292​| 1 | 11 | 12 |
293​| 1 | 14 | 46 |
294​| 1 | 118 | 285 |
295​| 1 | 710 | 4 |
296​| 1 | 828 | 17 |
297​+------------------------------+-----------------+----------+
298​44 rows in set (1 min 21.96 sec)
299
300​-- Note that no uses of multiple namespace filters appear in the data; this is a bug, oops!
301
302​-- "Associated namespace" checkbox (no longer available in beta):
303​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_associated is not null and event_associated != '' group by event_enhancedFiltersEnabled ;
304​+------------------------------+----------+
305​| event_enhancedFiltersEnabled | count(*) |
306​+------------------------------+----------+
307​| 0 | 1362 |
308​+------------------------------+----------+
309​1 row in set, 1 warning (1 min 22.28 sec)
310
311​-- Invert namespace selection:
312​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_invert is not null and event_invert != '' group by event_enhancedFiltersEnabled ;
313​+------------------------------+----------+
314​| event_enhancedFiltersEnabled | count(*) |
315​+------------------------------+----------+
316​| 0 | 1284 |
317​| 1 | 68 |
318​+------------------------------+----------+
319​2 rows in set, 1 warning (1 min 23.54 sec)
320
321
322​-- Tag filter used:
323
324​-- Number of events where tag filter is used at all:
325​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, count(*) from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename='Recentchanges' and event_tagfilter is not null and event_tagfilter != '' group by event_enhancedFiltersEnabled ;
326​+------------------------------+----------+
327​| event_enhancedFiltersEnabled | count(*) |
328​+------------------------------+----------+
329​| 0 | 10505 |
330​| 1 | 28947 |
331​+------------------------------+----------+
332​2 rows in set (1 min 23.32 sec)
333
334​-- Top 10 most popular tag filters overall:
335​mysql:research@s3-analytics-slave [log]> select event_tagfilter, count(*) as c from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename ='Recentchanges' and event_tagfilter is not null group by event_tagfilter order by c desc limit 10;
336​+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+-------+
337​| event_tagfilter | c |
338​+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+-------+
339​| de-userfying|adding email address|removal of articles for deletion template|Extraneous formatting|OAuth CID: 21|mw-blank|blanking|canned edit summary|categories removed|changing height or weight|Citing predatory open access journal|removal of COI template|removal of copyvio templates|discretionary sanctions alert|extraneous markup|bad external|large plot addition|large unwikified new article|new blank article|Rapid reverts|non-English content|nonsense characters|possible libel or vandalism|possible cut and paste move|possible vandalism|Possible vandalism|reference list removal|references removed|removal of Category:Living People|possible link spam|repeating characters|mw-replace|reverting anti-vandal bot|Section blanking|shouting|removal of speedy deletion templates|unusual redirect|wikilinks removed | 13717 |
340​| adding email address|mw-blank|blanking|nonsense characters|autobiography|possible libel or vandalism|coi-spam|possible vandalism|Possible vandalism|repeating characters|shouting | 4038 |
341​| mw-rollback | 3847 |
342​| Possible self promotion in userspace | 3270 |
343​| de-userfying|adding email address|removal of articles for deletion template|Extraneous formatting|OAuth CID: 21|mw-blank|blanking|canned edit summary|categories removed|changing height or weight|Citing predatory open access journal|removal of COI template|removal of copyvio templates|extraneous markup|bad external|large plot addition|large unwikified new article|new blank article|Rapid reverts|non-English content|nonsense characters|possible libel or vandalism|possible cut and paste move|possible vandalism|Possible vandalism|reference list removal|references removed|removal of Category:Living People|possible link spam|repeating characters|mw-replace|reverting anti-vandal bot|Section blanking|shouting|removal of speedy deletion templates|wikilinks removed | 2470 |
344​| possible libel or vandalism | 1963 |
345​| de-userfying | 615 |
346​| repeating characters | 584 |
347​| mw-changed-redirect-target | 363 |
348​| mw-blank|blanking|canned edit summary|removal of COI template|large unwikified new article|nonsense characters|possible libel or vandalism|coi-spam|possible cut and paste move|Possible self promotion in userspace|userspace spam|possible vandalism|Possible vandalism|repeating characters|mw-replace|reverting anti-vandal bot|Section blanking|shouting|removal of speedy deletion templates|very short new article | 359 |
349​+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+-------+
350​10 rows in set (1 min 24.57 sec)
351
352
353​-- Top 20 broken out by beta/non-beta and tag filter:
354​mysql:research@s3-analytics-slave [log]> select event_enhancedFiltersEnabled, event_tagfilter, count(*) as c from ChangesListFilters_16837986 where wiki='enwiki' and timestamp like '201712%' and event_pagename ='Recentchanges' and event_tagfilter is not null group by event_enhancedFiltersEnabled, event_tagfilter order by c desc limit 20;
355​+------------------------------+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+-------+
356​| event_enhancedFiltersEnabled | event_tagfilter | c |
357​+------------------------------+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+-------+
358​| 1 | de-userfying|adding email address|removal of articles for deletion template|Extraneous formatting|OAuth CID: 21|mw-blank|blanking|canned edit summary|categories removed|changing height or weight|Citing predatory open access journal|removal of COI template|removal of copyvio templates|discretionary sanctions alert|extraneous markup|bad external|large plot addition|large unwikified new article|new blank article|Rapid reverts|non-English content|nonsense characters|possible libel or vandalism|possible cut and paste move|possible vandalism|Possible vandalism|reference list removal|references removed|removal of Category:Living People|possible link spam|repeating characters|mw-replace|reverting anti-vandal bot|Section blanking|shouting|removal of speedy deletion templates|unusual redirect|wikilinks removed | 13717 |
359​| 1 | adding email address|mw-blank|blanking|nonsense characters|autobiography|possible libel or vandalism|coi-spam|possible vandalism|Possible vandalism|repeating characters|shouting | 4038 |
360​| 1 | mw-rollback | 3761 |
361​| 1 | de-userfying|adding email address|removal of articles for deletion template|Extraneous formatting|OAuth CID: 21|mw-blank|blanking|canned edit summary|categories removed|changing height or weight|Citing predatory open access journal|removal of COI template|removal of copyvio templates|extraneous markup|bad external|large plot addition|large unwikified new article|new blank article|Rapid reverts|non-English content|nonsense characters|possible libel or vandalism|possible cut and paste move|possible vandalism|Possible vandalism|reference list removal|references removed|removal of Category:Living People|possible link spam|repeating characters|mw-replace|reverting anti-vandal bot|Section blanking|shouting|removal of speedy deletion templates|wikilinks removed | 2470 |
362​| 0 | Possible self promotion in userspace | 2421 |
363​| 0 | possible libel or vandalism | 1834 |
364​| 1 | Possible self promotion in userspace | 849 |
365​| 0 | de-userfying | 615 |
366​| 0 | repeating characters | 501 |
367​| 1 | mw-blank|blanking|canned edit summary|removal of COI template|large unwikified new article|nonsense characters|possible libel or vandalism|coi-spam|possible cut and paste move|Possible self promotion in userspace|userspace spam|possible vandalism|Possible vandalism|repeating characters|mw-replace|reverting anti-vandal bot|Section blanking|shouting|removal of speedy deletion templates|very short new article | 359 |
368​| 0 | mw-changed-redirect-target | 356 |
369​| 0 | blanking|non-English content|nonsense characters|possible vandalism|Possible vandalism|repeating characters|reverting anti-vandal bot|shouting | 348 |
370​| 1 | de-userfying|adding email address|removal of articles for deletion template|Extraneous formatting|mw-blank|blanking|canned edit summary|categories removed|changing height or weight|removal of copyvio templates|extraneous markup|bad external|large plot addition|large unwikified new article|Rapid reverts|nonsense characters|possible libel or vandalism|possible cut and paste move|possible vandalism|Possible vandalism|reference list removal|references removed|possible link spam|repeating characters|mw-replace|Section blanking|wikilinks removed | 324 |
371​| 1 | de-userfying|adding email address|removal of articles for deletion template|Extraneous formatting|mw-blank|blanking|canned edit summary|categories removed|changing height or weight|removal of copyvio templates|extraneous markup|bad external|large plot addition|large unwikified new article|new blank article|Rapid reverts|nonsense characters|possible libel or vandalism|possible cut and paste move|possible vandalism|Possible vandalism|reference list removal|references removed|removal of Category:Living People|possible link spam|repeating characters|mw-replace|reverting anti-vandal bot|Section blanking|shouting|wikilinks removed | 311 |
372​| 0 | mw-removed-redirect | 304 |
373​| 1 | huggle | 259 |
374​| 1 | adding email address|removal of articles for deletion template|mw-blank|blanking|new blank article|non-English content|nonsense characters|possible libel or vandalism|coi-spam|possible vandalism|Possible vandalism|shouting | 243 |
375​| 0 | removal of speedy deletion templates | 235 |
376​| 0 | possible vandalism | 220 |
377​| 0 | very short new article | 218 |
378​+------------------------------+---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+-------+

When some conclusions will be available, we may publish them in the Global collaboration report.

When some conclusions will be available, we may publish them in the Global collaboration report.

Making the conclusions accessible from the project page (linking to such report or the other way around) would be helpful to find them in the future.